Subject: Re: ref name troubles, was Re: [PATCH v2] Introduce %<branch> as shortcut to the tracked branch

From: Petr Baudis <[email-masked]>
Date: Fri, 20 Mar 2009 12:50:43 +0100

On Fri, Mar 20, 2009 at 12:46:19PM +0100, Johannes Schindelin wrote:
> Hi,
> 
> On Fri, 20 Mar 2009, Petr Baudis wrote:
> 
> > On Fri, Mar 20, 2009 at 10:30:29AM +0100, Johannes Schindelin wrote:
> > > On Thu, 19 Mar 2009, Junio C Hamano wrote:
> > > 
> > > > I think you are right.  It is just "git branch" and perhaps "git
> > > > update-ref" are too loose in enforcing what can be created.
> > > 
> > > "git branch" I agree with, but not "git update-ref".  As plumbing, the 
> > > latter should be much more allowing, feeding rope aplenty (but also 
> > > allowing cool tricks we do not think about yet).
> > 
> > We shouldn't allow creating insane ref names even with update-ref. That
> > way porcelains cannot rely on update-ref to sanity check the user's
> > crap. At most, maybe you might want to bypass this check with some force
> > switch, though I really can't quite imagine why.
> 
> You really cannot imagine?  You, the author of filter-branch?  People _do_ 
> have fscked-up repositories, but they get really angry when they cannot 
> use rebase or filter-branch on them.

They can rename the ref as the first step of a cleanup, can't they?

-- 
				Petr "Pasky" Baudis
The average, healthy, well-adjusted adult gets up at seven-thirty
in the morning feeling just terrible. -- Jean Kerr